# frozen_string_literal: true

module Gitlab
  module Page
    module Admin
      module Subscription
        # @note Defined as +p :plan+
        # @return [String] The text content or value of +plan+
        def plan
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.plan_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def plan_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_plan
        #   end
        # @return [Boolean] true if the +plan+ element is present on the page
        def plan?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +p :started+
        # @return [String] The text content or value of +started+
        def started
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.started_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def started_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_started
        #   end
        # @return [Boolean] true if the +started+ element is present on the page
        def started?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +p :name+
        # @return [String] The text content or value of +name+
        def name
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.name_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def name_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_name
        #   end
        # @return [Boolean] true if the +name+ element is present on the page
        def name?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +p :company+
        # @return [String] The text content or value of +company+
        def company
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.company_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def company_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_company
        #   end
        # @return [Boolean] true if the +company+ element is present on the page
        def company?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +p :email+
        # @return [String] The text content or value of +email+
        def email
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.email_element).to exist
        #   end
        # @return [Watir::P] The raw +P+ element
        def email_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_email
        #   end
        # @return [Boolean] true if the +email+ element is present on the page
        def email?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :billable_users+
        # @return [String] The text content or value of +billable_users+
        def billable_users
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.billable_users_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def billable_users_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_billable_users
        #   end
        # @return [Boolean] true if the +billable_users+ element is present on the page
        def billable_users?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :maximum_users+
        # @return [String] The text content or value of +maximum_users+
        def maximum_users
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.maximum_users_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def maximum_users_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_maximum_users
        #   end
        # @return [Boolean] true if the +maximum_users+ element is present on the page
        def maximum_users?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :users_in_subscription+
        # @return [String] The text content or value of +users_in_subscription+
        def users_in_subscription
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.users_in_subscription_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def users_in_subscription_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_users_in_subscription
        #   end
        # @return [Boolean] true if the +users_in_subscription+ element is present on the page
        def users_in_subscription?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +h2 :users_over_subscription+
        # @return [String] The text content or value of +users_over_subscription+
        def users_over_subscription
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.users_over_subscription_element).to exist
        #   end
        # @return [Watir::H2] The raw +H2+ element
        def users_over_subscription_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_users_over_subscription
        #   end
        # @return [Boolean] true if the +users_over_subscription+ element is present on the page
        def users_over_subscription?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +table :subscription_history+
        # @return [String] The text content or value of +subscription_history+
        def subscription_history
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription.subscription_history_element).to exist
        #   end
        # @return [Watir::Table] The raw +Table+ element
        def subscription_history_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Admin::Subscription.perform do |subscription|
        #     expect(subscription).to be_subscription_history
        #   end
        # @return [Boolean] true if the +subscription_history+ element is present on the page
        def subscription_history?
          # This is a stub, used for indexing. The method is dynamically generated.
        end
      end
    end
  end
end
